Subject: Re: bug#4359: 23.1.50; ^G in M-x grep mode with git grep

From: Andreas Schwab <[email-masked]>
Date: Sun, 06 Sep 2009 19:15:18 +0200

Ulrich Neumerkel <[email-masked]> writes:

> This would be an ad-hoc workaround that does not work for the next
> tool.  What is needed is that the command is called such that git or
> the pager doesn't think they are in an interactive environment.

That is easy, use a pipe instead of a pty (see process-connection-type).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."